aboutsummaryrefslogtreecommitdiff
path: root/dns/unbound
diff options
context:
space:
mode:
authorSergey Matveychuk <sem@FreeBSD.org>2009-06-16 13:35:00 +0000
committerSergey Matveychuk <sem@FreeBSD.org>2009-06-16 13:35:00 +0000
commit010dc19b352b26402d621838b15c3dc7cb500337 (patch)
tree2dae7d0ad7dfe6aca70c482cc60e1b2a34768df2 /dns/unbound
parent65e8eaca3054ef9c5f5066ee3ab1d7a3d745e457 (diff)
downloadports-010dc19b352b26402d621838b15c3dc7cb500337.tar.gz
ports-010dc19b352b26402d621838b15c3dc7cb500337.zip
Notes
Diffstat (limited to 'dns/unbound')
-rw-r--r--dns/unbound/Makefile18
-rw-r--r--dns/unbound/distinfo6
-rw-r--r--dns/unbound/files/patch-configure1384
-rw-r--r--dns/unbound/pkg-plist8
4 files changed, 25 insertions, 1391 deletions
diff --git a/dns/unbound/Makefile b/dns/unbound/Makefile
index bfd76f6832e2..e2ecc5167e2d 100644
--- a/dns/unbound/Makefile
+++ b/dns/unbound/Makefile
@@ -6,8 +6,7 @@
#
PORTNAME= unbound
-PORTVERSION= 1.2.1
-PORTREVISION= 1
+PORTVERSION= 1.3.0
CATEGORIES= dns
MASTER_SITES= http://unbound.net/downloads/
@@ -33,9 +32,22 @@ PORTDOCS= CREDITS Changelog FEATURES LICENSE README README.svn \
PKGINSTALL= ${WRKDIR}/pkg-install
PKGDEINSTALL= ${WRKDIR}/pkg-deinstall
SUB_FILES= pkg-install pkg-deinstall
+PLIST_SUB+= PYTHON=${PYTHON}
OPTIONS= LIBEVENT "is useful when using many (10000) outgoing ports" off \
- THREADS "build with threads support" on
+ THREADS "build with threads support" on \
+ PYTHON "build python bindings" off
+
+.include <bsd.port.options.mk>
+
+.if defined(WITH_PYTHON)
+USE_PYTHON= yes
+CONFIGURE_ARGS+= --with-pyunbound=yes --with-pythonmodule=yes
+BUILD_DEPENDS+= swig:${PORTSDIR}/devel/swig13
+PYTHON=
+.else
+PYTHON= "@comment "
+.endif
.include <bsd.port.pre.mk>
diff --git a/dns/unbound/distinfo b/dns/unbound/distinfo
index 93dc990e068e..1592305d0e27 100644
--- a/dns/unbound/distinfo
+++ b/dns/unbound/distinfo
@@ -1,3 +1,3 @@
-MD5 (unbound-1.2.1.tar.gz) = 5437f2a1e698d8aa73ba19a60662a654
-SHA256 (unbound-1.2.1.tar.gz) = 1f95ca2904dfb813bf52f15156a8c769b365deb92fa7b995344062dea966dc29
-SIZE (unbound-1.2.1.tar.gz) = 3795258
+MD5 (unbound-1.3.0.tar.gz) = 783325c26ae1a47be0e496c94f3e1cca
+SHA256 (unbound-1.3.0.tar.gz) = ebaed25422a32a7f13386982485d9d01b65cf3aefbebdcf4add6a4d7c71a4610
+SIZE (unbound-1.3.0.tar.gz) = 4059848
diff --git a/dns/unbound/files/patch-configure b/dns/unbound/files/patch-configure
deleted file mode 100644
index 4af099fc3ba2..000000000000
--- a/dns/unbound/files/patch-configure
+++ /dev/null
@@ -1,1384 +0,0 @@
-Index: configure
-===================================================================
---- configure (revision 1449)
-+++ configure (working copy)
-@@ -843,12 +843,12 @@
- RANLIB
- STRIP
- LIBTOOL
--HAVE_SSL
--RUNTIME_PATH
- acx_pthread_config
- PTHREAD_CC
- PTHREAD_LIBS
- PTHREAD_CFLAGS
-+HAVE_SSL
-+RUNTIME_PATH
- staticexe
- CHECKLOCK_SRC
- LIBOBJS
-@@ -1473,12 +1473,12 @@
- --with-pic try to use only PIC/non-PIC objects [default=use
- both]
- --with-tags[=TAGS] include additional configurations [automatic]
-+ --with-pthreads use pthreads library, or --without-pthreads to
-+ disable threading support.
-+ --with-solaris-threads use solaris native thread library.
- --with-ssl=pathname enable SSL (will check /usr/local/ssl /usr/lib/ssl
- /usr/ssl /usr/pkg /usr/local /opt/local /usr/sfw
- /usr)
-- --with-pthreads use pthreads library, or --without-pthreads to
-- disable threading support.
-- --with-solaris-threads use solaris native thread library.
- --with-libevent=pathname
- use libevent (will check /usr/local /opt/local
- /usr/lib /usr/pkg /usr/sfw /usr or you can specify
-@@ -21178,601 +21178,6 @@
- libtool="./libtool"
- fi
-
--# Checks for libraries.
--
--# Check whether --with-ssl was given.
--if test "${with_ssl+set}" = set; then
-- withval=$with_ssl;
--
--else
--
-- withval="yes"
--
--fi
--
-- if test x_$withval = x_no; then
-- { { echo "$as_me:$LINENO: error: Need SSL library to do digital signature cryptography" >&5
--echo "$as_me: error: Need SSL library to do digital signature cryptography" >&2;}
-- { (exit 1); exit 1; }; }
-- fi
-- if test x_$withval != x_no; then
-- { echo "$as_me:$LINENO: checking for SSL" >&5
--echo $ECHO_N "checking for SSL... $ECHO_C" >&6; }
-- if test x_$withval = x_ -o x_$withval = x_yes; then
-- withval="/usr/local/ssl /usr/lib/ssl /usr/ssl /usr/pkg /usr/local /opt/local /usr/sfw /usr"
-- fi
-- for dir in $withval; do
-- ssldir="$dir"
-- if test -f "$dir/include/openssl/ssl.h"; then
-- found_ssl="yes"
--
--cat >>confdefs.h <<_ACEOF
--#define HAVE_SSL
--_ACEOF
--
-- CPPFLAGS="$CPPFLAGS -I$ssldir/include"
-- break;
-- fi
-- done
-- if test x_$found_ssl != x_yes; then
-- { { echo "$as_me:$LINENO: error: Cannot find the SSL libraries in $withval" >&5
--echo "$as_me: error: Cannot find the SSL libraries in $withval" >&2;}
-- { (exit 1); exit 1; }; }
-- else
-- { echo "$as_me:$LINENO: result: found in $ssldir" >&5
--echo "${ECHO_T}found in $ssldir" >&6; }
-- HAVE_SSL=yes
-- LDFLAGS="$LDFLAGS -L$ssldir/lib"
-- if test "x$enable_rpath" = xyes; then
-- RUNTIME_PATH="$RUNTIME_PATH -R$ssldir/lib"
-- fi
--
-- { echo "$as_me:$LINENO: checking for HMAC_CTX_init in -lcrypto" >&5
--echo $ECHO_N "checking for HMAC_CTX_init in -lcrypto... $ECHO_C" >&6; }
-- LIBS="$LIBS -lcrypto"
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
--int
--main ()
--{
--
-- int HMAC_CTX_init(void);
-- (void)HMAC_CTX_init();
--
-- ;
-- return 0;
--}
--_ACEOF
--rm -f conftest.$ac_objext conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_link") 2>conftest.er1
-- ac_status=$?
-- grep -v '^ *+' conftest.er1 >conftest.err
-- rm -f conftest.er1
-- cat conftest.err >&5
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && {
-- test -z "$ac_c_werror_flag" ||
-- test ! -s conftest.err
-- } && test -s conftest$ac_exeext &&
-- $as_test_x conftest$ac_exeext; then
--
-- { echo "$as_me:$LINENO: result: yes" >&5
--echo "${ECHO_T}yes" >&6; }
--
--cat >>confdefs.h <<\_ACEOF
--#define HAVE_HMAC_CTX_INIT 1
--_ACEOF
--
--
--else
-- echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--
-- { echo "$as_me:$LINENO: result: no" >&5
--echo "${ECHO_T}no" >&6; }
-- # check if -lwsock32 or -lgdi32 are needed.
-- LIBS="$LIBS -lgdi32"
-- { echo "$as_me:$LINENO: checking if -lcrypto needs -lgdi32" >&5
--echo $ECHO_N "checking if -lcrypto needs -lgdi32... $ECHO_C" >&6; }
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
--int
--main ()
--{
--
-- int HMAC_CTX_init(void);
-- (void)HMAC_CTX_init();
--
-- ;
-- return 0;
--}
--_ACEOF
--rm -f conftest.$ac_objext conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_link") 2>conftest.er1
-- ac_status=$?
-- grep -v '^ *+' conftest.er1 >conftest.err
-- rm -f conftest.er1
-- cat conftest.err >&5
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && {
-- test -z "$ac_c_werror_flag" ||
-- test ! -s conftest.err
-- } && test -s conftest$ac_exeext &&
-- $as_test_x conftest$ac_exeext; then
--
--
--cat >>confdefs.h <<\_ACEOF
--#define HAVE_HMAC_CTX_INIT 1
--_ACEOF
--
-- { echo "$as_me:$LINENO: result: yes" >&5
--echo "${ECHO_T}yes" >&6; }
--
--else
-- echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--
-- { echo "$as_me:$LINENO: result: no" >&5
--echo "${ECHO_T}no" >&6; }
-- { { echo "$as_me:$LINENO: error: OpenSSL found in $ssldir, but version 0.9.7 or higher is required" >&5
--echo "$as_me: error: OpenSSL found in $ssldir, but version 0.9.7 or higher is required" >&2;}
-- { (exit 1); exit 1; }; }
--
--fi
--
--rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-- conftest$ac_exeext conftest.$ac_ext
--
--fi
--
--rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-- conftest$ac_exeext conftest.$ac_ext
-- fi
--
--
-- fi
--
--for ac_header in openssl/ssl.h
--do
--as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
--{ echo "$as_me:$LINENO: checking for $ac_header" >&5
--echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
--if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-- echo $ECHO_N "(cached) $ECHO_C" >&6
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--$ac_includes_default
--
--#include <$ac_header>
--_ACEOF
--rm -f conftest.$ac_objext
--if { (ac_try="$ac_compile"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_compile") 2>conftest.er1
-- ac_status=$?
-- grep -v '^ *+' conftest.er1 >conftest.err
-- rm -f conftest.er1
-- cat conftest.err >&5
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && {
-- test -z "$ac_c_werror_flag" ||
-- test ! -s conftest.err
-- } && test -s conftest.$ac_objext; then
-- eval "$as_ac_Header=yes"
--else
-- echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
-- eval "$as_ac_Header=no"
--fi
--
--rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
--fi
--ac_res=`eval echo '${'$as_ac_Header'}'`
-- { echo "$as_me:$LINENO: result: $ac_res" >&5
--echo "${ECHO_T}$ac_res" >&6; }
--if test `eval echo '${'$as_ac_Header'}'` = yes; then
-- cat >>confdefs.h <<_ACEOF
--#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
--_ACEOF
--
--fi
--
--done
--
--
--for ac_header in openssl/err.h
--do
--as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
--{ echo "$as_me:$LINENO: checking for $ac_header" >&5
--echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
--if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-- echo $ECHO_N "(cached) $ECHO_C" >&6
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--$ac_includes_default
--
--#include <$ac_header>
--_ACEOF
--rm -f conftest.$ac_objext
--if { (ac_try="$ac_compile"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_compile") 2>conftest.er1
-- ac_status=$?
-- grep -v '^ *+' conftest.er1 >conftest.err
-- rm -f conftest.er1
-- cat conftest.err >&5
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && {
-- test -z "$ac_c_werror_flag" ||
-- test ! -s conftest.err
-- } && test -s conftest.$ac_objext; then
-- eval "$as_ac_Header=yes"
--else
-- echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
-- eval "$as_ac_Header=no"
--fi
--
--rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
--fi
--ac_res=`eval echo '${'$as_ac_Header'}'`
-- { echo "$as_me:$LINENO: result: $ac_res" >&5
--echo "${ECHO_T}$ac_res" >&6; }
--if test `eval echo '${'$as_ac_Header'}'` = yes; then
-- cat >>confdefs.h <<_ACEOF
--#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
--_ACEOF
--
--fi
--
--done
--
--
--for ac_header in openssl/rand.h
--do
--as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
--{ echo "$as_me:$LINENO: checking for $ac_header" >&5
--echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
--if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-- echo $ECHO_N "(cached) $ECHO_C" >&6
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--$ac_includes_default
--
--#include <$ac_header>
--_ACEOF
--rm -f conftest.$ac_objext
--if { (ac_try="$ac_compile"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_compile") 2>conftest.er1
-- ac_status=$?
-- grep -v '^ *+' conftest.er1 >conftest.err
-- rm -f conftest.er1
-- cat conftest.err >&5
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && {
-- test -z "$ac_c_werror_flag" ||
-- test ! -s conftest.err
-- } && test -s conftest.$ac_objext; then
-- eval "$as_ac_Header=yes"
--else
-- echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
-- eval "$as_ac_Header=no"
--fi
--
--rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
--fi
--ac_res=`eval echo '${'$as_ac_Header'}'`
-- { echo "$as_me:$LINENO: result: $ac_res" >&5
--echo "${ECHO_T}$ac_res" >&6; }
--if test `eval echo '${'$as_ac_Header'}'` = yes; then
-- cat >>confdefs.h <<_ACEOF
--#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
--_ACEOF
--
--fi
--
--done
--
--
--
--
--for ac_func in EVP_sha1 EVP_sha256 EVP_sha512
--do
--as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
--{ echo "$as_me:$LINENO: checking for $ac_func" >&5
--echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
--if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
-- echo $ECHO_N "(cached) $ECHO_C" >&6
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
-- For example, HP-UX 11i <limits.h> declares gettimeofday. */
--#define $ac_func innocuous_$ac_func
--
--/* System header to define __stub macros and hopefully few prototypes,
-- which can conflict with char $ac_func (); below.
-- Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
-- <limits.h> exists even on freestanding compilers. */
--
--#ifdef __STDC__
--# include <limits.h>
--#else
--# include <assert.h>
--#endif
--
--#undef $ac_func
--
--/* Override any GCC internal prototype to avoid an error.
-- Use char because int might match the return type of a GCC
-- builtin and then its argument prototype would still apply. */
--#ifdef __cplusplus
--extern "C"
--#endif
--char $ac_func ();
--/* The GNU C library defines this for functions which it implements
-- to always fail with ENOSYS. Some functions are actually named
-- something starting with __ and the normal name is an alias. */
--#if defined __stub_$ac_func || defined __stub___$ac_func
--choke me
--#endif
--
--int
--main ()
--{
--return $ac_func ();
-- ;
-- return 0;
--}
--_ACEOF
--rm -f conftest.$ac_objext conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_link") 2>conftest.er1
-- ac_status=$?
-- grep -v '^ *+' conftest.er1 >conftest.err
-- rm -f conftest.er1
-- cat conftest.err >&5
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && {
-- test -z "$ac_c_werror_flag" ||
-- test ! -s conftest.err
-- } && test -s conftest$ac_exeext &&
-- $as_test_x conftest$ac_exeext; then
-- eval "$as_ac_var=yes"
--else
-- echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
-- eval "$as_ac_var=no"
--fi
--
--rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-- conftest$ac_exeext conftest.$ac_ext
--fi
--ac_res=`eval echo '${'$as_ac_var'}'`
-- { echo "$as_me:$LINENO: result: $ac_res" >&5
--echo "${ECHO_T}$ac_res" >&6; }
--if test `eval echo '${'$as_ac_var'}'` = yes; then
-- cat >>confdefs.h <<_ACEOF
--#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
--_ACEOF
--
--fi
--done
--
--
--# check if libssl needs libdl
--BAKLIBS="$LIBS"
--LIBS="-lssl $LIBS"
--{ echo "$as_me:$LINENO: checking if libssl needs libdl" >&5
--echo $ECHO_N "checking if libssl needs libdl... $ECHO_C" >&6; }
--cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
--/* Override any GCC internal prototype to avoid an error.
-- Use char because int might match the return type of a GCC
-- builtin and then its argument prototype would still apply. */
--#ifdef __cplusplus
--extern "C"
--#endif
--char SSL_CTX_new ();
--int
--main ()
--{
--return SSL_CTX_new ();
-- ;
-- return 0;
--}
--_ACEOF
--rm -f conftest.$ac_objext conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_link") 2>conftest.er1
-- ac_status=$?
-- grep -v '^ *+' conftest.er1 >conftest.err
-- rm -f conftest.er1
-- cat conftest.err >&5
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && {
-- test -z "$ac_c_werror_flag" ||
-- test ! -s conftest.err
-- } && test -s conftest$ac_exeext &&
-- $as_test_x conftest$ac_exeext; then
--
-- { echo "$as_me:$LINENO: result: no" >&5
--echo "${ECHO_T}no" >&6; }
-- LIBS="$BAKLIBS"
--
--else
-- echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--
-- { echo "$as_me:$LINENO: result: yes" >&5
--echo "${ECHO_T}yes" >&6; }
-- LIBS="$BAKLIBS"
-- { echo "$as_me:$LINENO: checking for library containing dlopen" >&5
--echo $ECHO_N "checking for library containing dlopen... $ECHO_C" >&6; }
--if test "${ac_cv_search_dlopen+set}" = set; then
-- echo $ECHO_N "(cached) $ECHO_C" >&6
--else
-- ac_func_search_save_LIBS=$LIBS
--cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
--/* Override any GCC internal prototype to avoid an error.
-- Use char because int might match the return type of a GCC
-- builtin and then its argument prototype would still apply. */
--#ifdef __cplusplus
--extern "C"
--#endif
--char dlopen ();
--int
--main ()
--{
--return dlopen ();
-- ;
-- return 0;
--}
--_ACEOF
--for ac_lib in '' dl; do
-- if test -z "$ac_lib"; then
-- ac_res="none required"
-- else
-- ac_res=-l$ac_lib
-- LIBS="-l$ac_lib $ac_func_search_save_LIBS"
-- fi
-- rm -f conftest.$ac_objext conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_link") 2>conftest.er1
-- ac_status=$?
-- grep -v '^ *+' conftest.er1 >conftest.err
-- rm -f conftest.er1
-- cat conftest.err >&5
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && {
-- test -z "$ac_c_werror_flag" ||
-- test ! -s conftest.err
-- } && test -s conftest$ac_exeext &&
-- $as_test_x conftest$ac_exeext; then
-- ac_cv_search_dlopen=$ac_res
--else
-- echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--
--fi
--
--rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-- conftest$ac_exeext
-- if test "${ac_cv_search_dlopen+set}" = set; then
-- break
--fi
--done
--if test "${ac_cv_search_dlopen+set}" = set; then
-- :
--else
-- ac_cv_search_dlopen=no
--fi
--rm conftest.$ac_ext
--LIBS=$ac_func_search_save_LIBS
--fi
--{ echo "$as_me:$LINENO: result: $ac_cv_search_dlopen" >&5
--echo "${ECHO_T}$ac_cv_search_dlopen" >&6; }
--ac_res=$ac_cv_search_dlopen
--if test "$ac_res" != no; then
-- test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
--
--fi
--
--
--fi
--
--rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-- conftest$ac_exeext conftest.$ac_ext
--
- # check for thread library.
-
- # Check whether --with-pthreads was given.
-@@ -22699,6 +22104,601 @@
- rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
-
-+# Checks for libraries.
-+
-+# Check whether --with-ssl was given.
-+if test "${with_ssl+set}" = set; then
-+ withval=$with_ssl;
-+
-+else
-+
-+ withval="yes"
-+
-+fi
-+
-+ if test x_$withval = x_no; then
-+ { { echo "$as_me:$LINENO: error: Need SSL library to do digital signature cryptography" >&5
-+echo "$as_me: error: Need SSL library to do digital signature cryptography" >&2;}
-+ { (exit 1); exit 1; }; }
-+ fi
-+ if test x_$withval != x_no; then
-+ { echo "$as_me:$LINENO: checking for SSL" >&5
-+echo $ECHO_N "checking for SSL... $ECHO_C" >&6; }
-+ if test x_$withval = x_ -o x_$withval = x_yes; then
-+ withval="/usr/local/ssl /usr/lib/ssl /usr/ssl /usr/pkg /usr/local /opt/local /usr/sfw /usr"
-+ fi
-+ for dir in $withval; do
-+ ssldir="$dir"
-+ if test -f "$dir/include/openssl/ssl.h"; then
-+ found_ssl="yes"
-+
-+cat >>confdefs.h <<_ACEOF
-+#define HAVE_SSL
-+_ACEOF
-+
-+ CPPFLAGS="$CPPFLAGS -I$ssldir/include"
-+ break;
-+ fi
-+ done
-+ if test x_$found_ssl != x_yes; then
-+ { { echo "$as_me:$LINENO: error: Cannot find the SSL libraries in $withval" >&5
-+echo "$as_me: error: Cannot find the SSL libraries in $withval" >&2;}
-+ { (exit 1); exit 1; }; }
-+ else
-+ { echo "$as_me:$LINENO: result: found in $ssldir" >&5
-+echo "${ECHO_T}found in $ssldir" >&6; }
-+ HAVE_SSL=yes
-+ LDFLAGS="$LDFLAGS -L$ssldir/lib"
-+ if test "x$enable_rpath" = xyes; then
-+ RUNTIME_PATH="$RUNTIME_PATH -R$ssldir/lib"
-+ fi
-+
-+ { echo "$as_me:$LINENO: checking for HMAC_CTX_init in -lcrypto" >&5
-+echo $ECHO_N "checking for HMAC_CTX_init in -lcrypto... $ECHO_C" >&6; }
-+ LIBS="$LIBS -lcrypto"
-+ cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+
-+int
-+main ()
-+{
-+
-+ int HMAC_CTX_init(void);
-+ (void)HMAC_CTX_init();
-+
-+ ;
-+ return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext conftest$ac_exeext
-+if { (ac_try="$ac_link"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_link") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest$ac_exeext &&
-+ $as_test_x conftest$ac_exeext; then
-+
-+ { echo "$as_me:$LINENO: result: yes" >&5
-+echo "${ECHO_T}yes" >&6; }
-+
-+cat >>confdefs.h <<\_ACEOF
-+#define HAVE_HMAC_CTX_INIT 1
-+_ACEOF
-+
-+
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+
-+ { echo "$as_me:$LINENO: result: no" >&5
-+echo "${ECHO_T}no" >&6; }
-+ # check if -lwsock32 or -lgdi32 are needed.
-+ LIBS="$LIBS -lgdi32"
-+ { echo "$as_me:$LINENO: checking if -lcrypto needs -lgdi32" >&5
-+echo $ECHO_N "checking if -lcrypto needs -lgdi32... $ECHO_C" >&6; }
-+ cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+
-+int
-+main ()
-+{
-+
-+ int HMAC_CTX_init(void);
-+ (void)HMAC_CTX_init();
-+
-+ ;
-+ return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext conftest$ac_exeext
-+if { (ac_try="$ac_link"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_link") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest$ac_exeext &&
-+ $as_test_x conftest$ac_exeext; then
-+
-+
-+cat >>confdefs.h <<\_ACEOF
-+#define HAVE_HMAC_CTX_INIT 1
-+_ACEOF
-+
-+ { echo "$as_me:$LINENO: result: yes" >&5
-+echo "${ECHO_T}yes" >&6; }
-+
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+
-+ { echo "$as_me:$LINENO: result: no" >&5
-+echo "${ECHO_T}no" >&6; }
-+ { { echo "$as_me:$LINENO: error: OpenSSL found in $ssldir, but version 0.9.7 or higher is required" >&5
-+echo "$as_me: error: OpenSSL found in $ssldir, but version 0.9.7 or higher is required" >&2;}
-+ { (exit 1); exit 1; }; }
-+
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-+ conftest$ac_exeext conftest.$ac_ext
-+
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-+ conftest$ac_exeext conftest.$ac_ext
-+ fi
-+
-+
-+ fi
-+
-+for ac_header in openssl/ssl.h
-+do
-+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
-+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
-+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+ cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+$ac_includes_default
-+
-+#include <$ac_header>
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (ac_try="$ac_compile"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_compile") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest.$ac_objext; then
-+ eval "$as_ac_Header=yes"
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ eval "$as_ac_Header=no"
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-+fi
-+ac_res=`eval echo '${'$as_ac_Header'}'`
-+ { echo "$as_me:$LINENO: result: $ac_res" >&5
-+echo "${ECHO_T}$ac_res" >&6; }
-+if test `eval echo '${'$as_ac_Header'}'` = yes; then
-+ cat >>confdefs.h <<_ACEOF
-+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
-+_ACEOF
-+
-+fi
-+
-+done
-+
-+
-+for ac_header in openssl/err.h
-+do
-+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
-+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
-+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+ cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+$ac_includes_default
-+
-+#include <$ac_header>
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (ac_try="$ac_compile"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_compile") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest.$ac_objext; then
-+ eval "$as_ac_Header=yes"
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ eval "$as_ac_Header=no"
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-+fi
-+ac_res=`eval echo '${'$as_ac_Header'}'`
-+ { echo "$as_me:$LINENO: result: $ac_res" >&5
-+echo "${ECHO_T}$ac_res" >&6; }
-+if test `eval echo '${'$as_ac_Header'}'` = yes; then
-+ cat >>confdefs.h <<_ACEOF
-+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
-+_ACEOF
-+
-+fi
-+
-+done
-+
-+
-+for ac_header in openssl/rand.h
-+do
-+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
-+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
-+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+ cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+$ac_includes_default
-+
-+#include <$ac_header>
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (ac_try="$ac_compile"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_compile") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest.$ac_objext; then
-+ eval "$as_ac_Header=yes"
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ eval "$as_ac_Header=no"
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-+fi
-+ac_res=`eval echo '${'$as_ac_Header'}'`
-+ { echo "$as_me:$LINENO: result: $ac_res" >&5
-+echo "${ECHO_T}$ac_res" >&6; }
-+if test `eval echo '${'$as_ac_Header'}'` = yes; then
-+ cat >>confdefs.h <<_ACEOF
-+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
-+_ACEOF
-+
-+fi
-+
-+done
-+
-+
-+
-+
-+for ac_func in EVP_sha1 EVP_sha256 EVP_sha512
-+do
-+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-+{ echo "$as_me:$LINENO: checking for $ac_func" >&5
-+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
-+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+ cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
-+ For example, HP-UX 11i <limits.h> declares gettimeofday. */
-+#define $ac_func innocuous_$ac_func
-+
-+/* System header to define __stub macros and hopefully few prototypes,
-+ which can conflict with char $ac_func (); below.
-+ Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
-+ <limits.h> exists even on freestanding compilers. */
-+
-+#ifdef __STDC__
-+# include <limits.h>
-+#else
-+# include <assert.h>
-+#endif
-+
-+#undef $ac_func
-+
-+/* Override any GCC internal prototype to avoid an error.
-+ Use char because int might match the return type of a GCC
-+ builtin and then its argument prototype would still apply. */
-+#ifdef __cplusplus
-+extern "C"
-+#endif
-+char $ac_func ();
-+/* The GNU C library defines this for functions which it implements
-+ to always fail with ENOSYS. Some functions are actually named
-+ something starting with __ and the normal name is an alias. */
-+#if defined __stub_$ac_func || defined __stub___$ac_func
-+choke me
-+#endif
-+
-+int
-+main ()
-+{
-+return $ac_func ();
-+ ;
-+ return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext conftest$ac_exeext
-+if { (ac_try="$ac_link"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_link") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest$ac_exeext &&
-+ $as_test_x conftest$ac_exeext; then
-+ eval "$as_ac_var=yes"
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ eval "$as_ac_var=no"
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-+ conftest$ac_exeext conftest.$ac_ext
-+fi
-+ac_res=`eval echo '${'$as_ac_var'}'`
-+ { echo "$as_me:$LINENO: result: $ac_res" >&5
-+echo "${ECHO_T}$ac_res" >&6; }
-+if test `eval echo '${'$as_ac_var'}'` = yes; then
-+ cat >>confdefs.h <<_ACEOF
-+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
-+_ACEOF
-+
-+fi
-+done
-+
-+
-+# check if libssl needs libdl
-+BAKLIBS="$LIBS"
-+LIBS="-lssl $LIBS"
-+{ echo "$as_me:$LINENO: checking if libssl needs libdl" >&5
-+echo $ECHO_N "checking if libssl needs libdl... $ECHO_C" >&6; }
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+
-+/* Override any GCC internal prototype to avoid an error.
-+ Use char because int might match the return type of a GCC
-+ builtin and then its argument prototype would still apply. */
-+#ifdef __cplusplus
-+extern "C"
-+#endif
-+char SSL_CTX_new ();
-+int
-+main ()
-+{
-+return SSL_CTX_new ();
-+ ;
-+ return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext conftest$ac_exeext
-+if { (ac_try="$ac_link"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_link") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest$ac_exeext &&
-+ $as_test_x conftest$ac_exeext; then
-+
-+ { echo "$as_me:$LINENO: result: no" >&5
-+echo "${ECHO_T}no" >&6; }
-+ LIBS="$BAKLIBS"
-+
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+
-+ { echo "$as_me:$LINENO: result: yes" >&5
-+echo "${ECHO_T}yes" >&6; }
-+ LIBS="$BAKLIBS"
-+ { echo "$as_me:$LINENO: checking for library containing dlopen" >&5
-+echo $ECHO_N "checking for library containing dlopen... $ECHO_C" >&6; }
-+if test "${ac_cv_search_dlopen+set}" = set; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+ ac_func_search_save_LIBS=$LIBS
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+
-+/* Override any GCC internal prototype to avoid an error.
-+ Use char because int might match the return type of a GCC
-+ builtin and then its argument prototype would still apply. */
-+#ifdef __cplusplus
-+extern "C"
-+#endif
-+char dlopen ();
-+int
-+main ()
-+{
-+return dlopen ();
-+ ;
-+ return 0;
-+}
-+_ACEOF
-+for ac_lib in '' dl; do
-+ if test -z "$ac_lib"; then
-+ ac_res="none required"
-+ else
-+ ac_res=-l$ac_lib
-+ LIBS="-l$ac_lib $ac_func_search_save_LIBS"
-+ fi
-+ rm -f conftest.$ac_objext conftest$ac_exeext
-+if { (ac_try="$ac_link"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_link") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest$ac_exeext &&
-+ $as_test_x conftest$ac_exeext; then
-+ ac_cv_search_dlopen=$ac_res
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-+ conftest$ac_exeext
-+ if test "${ac_cv_search_dlopen+set}" = set; then
-+ break
-+fi
-+done
-+if test "${ac_cv_search_dlopen+set}" = set; then
-+ :
-+else
-+ ac_cv_search_dlopen=no
-+fi
-+rm conftest.$ac_ext
-+LIBS=$ac_func_search_save_LIBS
-+fi
-+{ echo "$as_me:$LINENO: result: $ac_cv_search_dlopen" >&5
-+echo "${ECHO_T}$ac_cv_search_dlopen" >&6; }
-+ac_res=$ac_cv_search_dlopen
-+if test "$ac_res" != no; then
-+ test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
-+
-+fi
-+
-+
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-+ conftest$ac_exeext conftest.$ac_ext
-+
- # check to see if libraries are needed for these functions.
- { echo "$as_me:$LINENO: checking for library containing inet_pton" >&5
- echo $ECHO_N "checking for library containing inet_pton... $ECHO_C" >&6; }
-@@ -27392,12 +27392,12 @@
- RANLIB!$RANLIB$ac_delim
- STRIP!$STRIP$ac_delim
- LIBTOOL!$LIBTOOL$ac_delim
--HAVE_SSL!$HAVE_SSL$ac_delim
--RUNTIME_PATH!$RUNTIME_PATH$ac_delim
- acx_pthread_config!$acx_pthread_config$ac_delim
- PTHREAD_CC!$PTHREAD_CC$ac_delim
- PTHREAD_LIBS!$PTHREAD_LIBS$ac_delim
- PTHREAD_CFLAGS!$PTHREAD_CFLAGS$ac_delim
-+HAVE_SSL!$HAVE_SSL$ac_delim
-+RUNTIME_PATH!$RUNTIME_PATH$ac_delim
- staticexe!$staticexe$ac_delim
- CHECKLOCK_SRC!$CHECKLOCK_SRC$ac_delim
- LIBOBJS!$LIBOBJS$ac_delim
-Index: configure.ac
-===================================================================
---- configure.ac (revision 1449)
-+++ configure.ac (working copy)
-@@ -544,6 +544,62 @@
- libtool="./libtool"
- fi
-
-+# check for thread library.
-+AC_ARG_WITH(pthreads, AC_HELP_STRING([--with-pthreads],
-+ [use pthreads library, or --without-pthreads to disable threading support.]),
-+ [ ],[ withval="yes" ])
-+ub_have_pthreads=no
-+if test x_$withval != x_no; then
-+ sinclude(acx_pthread.m4)
-+ ACX_PTHREAD([
-+ AC_DEFINE(HAVE_PTHREAD,1,[Define if you have POSIX threads libraries and header files.])
-+ LIBS="$PTHREAD_LIBS $LIBS"
-+ CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
-+ CC="$PTHREAD_CC"
-+ ub_have_pthreads=yes
-+ AC_CHECK_TYPES([pthread_spinlock_t, pthread_rwlock_t],,,[#include <pthread.h>])
-+ ])
-+fi
-+
-+# check solaris thread library
-+AC_ARG_WITH(solaris-threads, AC_HELP_STRING([--with-solaris-threads],
-+ [use solaris native thread library.]), [ ],[ withval="no" ])
-+ub_have_sol_threads=no
-+if test x_$withval != x_no; then
-+ if test x_$ub_have_pthreads != x_no; then
-+ AC_WARN([Have pthreads already, ignoring --with-solaris-threads])
-+ else
-+ AC_SEARCH_LIBS(thr_create, [thread],
-+ [
-+ AC_DEFINE(HAVE_SOLARIS_THREADS, 1, [Using Solaris threads])
-+
-+ CHECK_COMPILER_FLAG(mt, [CFLAGS="$CFLAGS -mt"],
-+ [CFLAGS="$CFLAGS -D_REENTRANT"])
-+ ub_have_sol_threads=yes
-+ ] , [
-+ AC_ERROR([no solaris threads found.])
-+ ])
-+ fi
-+fi
-+
-+# check windows threads
-+if test x_$ub_have_pthreads = x_no -a x_$ub_have_sol_threads = x_no; then
-+ AC_CHECK_HEADERS([windows.h],,, [AC_INCLUDES_DEFAULT])
-+ AC_MSG_CHECKING([for CreateThread])
-+ AC_TRY_COMPILE([
-+#ifdef HAVE_WINDOWS_H
-+#include <windows.h>
-+#endif
-+], [
-+ HANDLE t = CreateThread(NULL, 0, NULL, NULL, 0, NULL);
-+],
-+ AC_MSG_RESULT(yes)
-+ AC_DEFINE(HAVE_WINDOWS_THREADS, 1, [Using Windows threads])
-+,
-+ AC_MSG_RESULT(no)
-+)
-+fi
-+
- # Checks for libraries.
- AC_ARG_WITH(ssl, AC_HELP_STRING([--with-ssl=pathname],
- [enable SSL (will check /usr/local/ssl
-@@ -626,62 +682,6 @@
- AC_SEARCH_LIBS([dlopen], [dl])
- ])
-
--# check for thread library.
--AC_ARG_WITH(pthreads, AC_HELP_STRING([--with-pthreads],
-- [use pthreads library, or --without-pthreads to disable threading support.]),
-- [ ],[ withval="yes" ])
--ub_have_pthreads=no
--if test x_$withval != x_no; then
-- sinclude(acx_pthread.m4)
-- ACX_PTHREAD([
-- AC_DEFINE(HAVE_PTHREAD,1,[Define if you have POSIX threads libraries and header files.])
-- LIBS="$PTHREAD_LIBS $LIBS"
-- CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
-- CC="$PTHREAD_CC"
-- ub_have_pthreads=yes
-- AC_CHECK_TYPES([pthread_spinlock_t, pthread_rwlock_t],,,[#include <pthread.h>])
-- ])
--fi
--
--# check solaris thread library
--AC_ARG_WITH(solaris-threads, AC_HELP_STRING([--with-solaris-threads],
-- [use solaris native thread library.]), [ ],[ withval="no" ])
--ub_have_sol_threads=no
--if test x_$withval != x_no; then
-- if test x_$ub_have_pthreads != x_no; then
-- AC_WARN([Have pthreads already, ignoring --with-solaris-threads])
-- else
-- AC_SEARCH_LIBS(thr_create, [thread],
-- [
-- AC_DEFINE(HAVE_SOLARIS_THREADS, 1, [Using Solaris threads])
--
-- CHECK_COMPILER_FLAG(mt, [CFLAGS="$CFLAGS -mt"],
-- [CFLAGS="$CFLAGS -D_REENTRANT"])
-- ub_have_sol_threads=yes
-- ] , [
-- AC_ERROR([no solaris threads found.])
-- ])
-- fi
--fi
--
--# check windows threads
--if test x_$ub_have_pthreads = x_no -a x_$ub_have_sol_threads = x_no; then
-- AC_CHECK_HEADERS([windows.h],,, [AC_INCLUDES_DEFAULT])
-- AC_MSG_CHECKING([for CreateThread])
-- AC_TRY_COMPILE([
--#ifdef HAVE_WINDOWS_H
--#include <windows.h>
--#endif
--], [
-- HANDLE t = CreateThread(NULL, 0, NULL, NULL, 0, NULL);
--],
-- AC_MSG_RESULT(yes)
-- AC_DEFINE(HAVE_WINDOWS_THREADS, 1, [Using Windows threads])
--,
-- AC_MSG_RESULT(no)
--)
--fi
--
- # check to see if libraries are needed for these functions.
- AC_SEARCH_LIBS([inet_pton], [nsl])
- AC_SEARCH_LIBS([socket], [socket])
diff --git a/dns/unbound/pkg-plist b/dns/unbound/pkg-plist
index aa65ef2187b8..f9947c84ee3f 100644
--- a/dns/unbound/pkg-plist
+++ b/dns/unbound/pkg-plist
@@ -1,6 +1,6 @@
etc/unbound/unbound.conf.sample
include/unbound.h
-lib/libunbound.so.0
+lib/libunbound.so.1
lib/libunbound.so
lib/libunbound.la
lib/libunbound.a
@@ -9,5 +9,11 @@ sbin/unbound-checkconf
sbin/unbound-control
sbin/unbound-control-setup
sbin/unbound-host
+%%PYTHON%%%%PYTHON_SITELIBDIR%%/_unbound.a
+%%PYTHON%%%%PYTHON_SITELIBDIR%%/_unbound.la
+%%PYTHON%%%%PYTHON_SITELIBDIR%%/_unbound.so
+%%PYTHON%%%%PYTHON_SITELIBDIR%%/_unbound.so.1
+%%PYTHON%%%%PYTHON_SITELIBDIR%%/unbound.py
+%%PYTHON%%%%PYTHON_SITELIBDIR%%/unboundmodule.py
@dirrmtry etc/unbound
@dirrmtry /var/run/unbound